VARIETY(1)

NAME
variety - open-source wallpaper changer for Linux

SYNOPSIS
variety [options] [files or urls]

DESCRIPTION
Variety is an open-source wallpaper changer, downloader, and manager for Linux. It supports a variety of sources for wallpapers, including local files, online services such as Flickr, Wallbase.cc, Wallpapers.net, NASA Astronomy Picture of the Day, Desktoppr.co, and media RSS feeds (Picasa, deviantART, etc.).

NOTES
Passing local files will add them to Variety's queue. Passing remote URLs will make Variety fetch them to Fetched folder and place them in the queue.

To set a specific wallpaper: variety /some/local/image.jpg --next

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Show logging messages (-vv shows even finer debugging messages, -vvv debugs variety_lib too)

-q, --quit
    Make the running instance quit

--get, --current, --show-current
    Print the current wallpaper location. Used only when the application is already running.

-n, --next
    Show Next wallpaper

-p, --previous
    Show Previous wallpaper

--fast-forward
    Show Next wallpaper, skipping the forward history

-t, --trash
    Move current wallpaper to Trash. Used only when the application is already running.

-f, --favorite
    Copy current wallpaper to Favorites. Used only when the application is already running.

--move-to-favorites
    Move current wallpaper to Favorites. Used only when the application is already running.

--pause
    Pause on current image

--resume
    Resume regular image changes

--toggle-pause
    Toggle Pause/Resume state

--quotes-next
    Show Next quote

--quotes-previous
    Show Previous quote

--quotes-fast-forward
    Show Next quote, skipping the forward history

--quotes-toggle-pause
    Toggle Quotes Pause/Resume state

--quotes-save-favorite
    Save the current quote to Favorites

--history
    Toggle History display

--downloads
    Toggle Recent Downloads display

--preferences, --show-preferences
    Show Preferences dialog

--selector, --show-selector
    Show manual wallpaper selector - the thumbnail bar filled with images from the active image sources

--set-option=SET_OPTIONS
    Sets and applies an option. The option names are the same that are used in Variety's config file ~/.config/variety/variety.conf. Multiple options can be set in a single command. Example: 'variety --setoption icon Dark --set-option clock_enabled True'. USE WITH CAUTION: You are changing the settings file directly in an unguarded way.

--debug-smart
    Debug VRTY.ORG and sync functionality by using local server

SEE ALSO
The full documentation for variety is maintained as a Texinfo manual. If the info and variety programs are properly installed at your site, the command

    info variety

should give you access to the complete manual.